### Method

# GLib Hmac copy

since: 2.30

#### Declaration [src]

    GHmac*
    g_hmac_copy (
      const GHmac* hmac
    )

#### Description [src]

Copies a `GHmac`. If `hmac` has been closed, by calling `g_hmac_get_string()` or g_hmac_get_digest(), the copied HMAC will be closed as well.

Available since: 2.30

#### Return value

Type: `GHmac`

The copy of the passed `GHmac`. Use `g_hmac_unref()` when finished using it.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.